#Module-Specific definitions
%define mod_version 3.0
%define release 1mdk
%define mod_name mod_countm
%define mod_conf A22_%{mod_name}.conf
%define mod_so %{mod_name}.so
%define sourcename %{mod_name}-%{mod_version}

#New ADVX macros
%define ADVXdir %{_datadir}/ADVX
%{expand:%(cat %{ADVXdir}/ADVX-build)}
%{expand:%%global ap_version %(%{apxs} -q ap_version)}

# Standard Module Definitions
%define name %{ap_name}-%{mod_name}
%define version %{ap_version}_%{mod_version}

#Standard ADVX requires
Prereq:		%{ap_name} = %{ap_version}
Prereq:		%{ap_name}-conf
BuildPreReq:	ADVX-build >= 9.2
BuildRequires:	%{ap_name}-devel >= 2.0.43-5mdk

Summary:	Mod_countm is a DSO module for the %{ap_name} Web server.
Name:		%{name}
Version:	%{version}
Release:	%{release}
Group:		System/Servers
Source0:	%{sourcename}.tar.bz2
Source1:	%{mod_conf}.bz2
License:	BSD
URL:		http://sourceforge.net/projects/countm/
BuildRequires:	gd-devel
BuildRequires:	png-devel 
BuildRequires:	freetype-devel
BuildRequires:	libjpeg-devel
BuildRequires:	db4-devel
BuildRequires:	zlib-devel
Prereq:		rpm-helper
#Requires:	fonts-ttf-west_european
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
An %{ap_name} only module serving link counting information via jpeg
and png images. Configuration commands include font selection,
font size, image type, image background and text color, digit
width, reset, ignore, access list database, and random.

%prep

%setup -q -n %{mod_name}-%{mod_version}

%build

%{apxs} -lgd -lfreetype -ljpeg -lpng -lm -ldb-4.1 -c mod_countm.c version.c

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%ADVXinstlib
%ADVXinstconf %{SOURCE1} %{mod_conf}
%ADVXinstdoc %{name}-%{version}

install -d %{buildroot}/var/lib/%{mod_name}/dbase

# install the font..., i have no clue where to put it, 
# so i go by intuition and educated wild guessing...
install -d %{buildroot}%{_datadir}/fonts/ttf/western
install -m0644 FreeMono.ttf %{buildroot}%{_datadir}/fonts/ttf/western/

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
%ADVXpost

%postun
%ADVXpost

%files
%defattr(-,root,root)
%doc *.html manual.txt
%config(noreplace) %{ap_confd}/%{mod_conf}
%{ap_extralibs}/%{mod_so}
%{ap_webdoc}/*
%dir %attr(0755,apache,apache) /var/lib/%{mod_name}
%dir %attr(0755,apache,apache) /var/lib/%{mod_name}/dbase
%attr(0644,root,root) %{_datadir}/fonts/ttf/western/FreeMono.ttf

%changelog
* Mon Jul 12 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.50_3.0-1mdk
- built for apache 2.0.50
- remove redundant provides

* Mon Jun 14 2004 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.49_3.0-1mdk
- built for apache 2.0.49

* Wed Dec 03 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.48_3.0-1mdk
- 3.0
- really activate the provided font

* Wed Nov 19 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.48_2.1-1mdk
- 2.1
- drop the cvs patch, it's included
- include the provided font

* Wed Nov 05 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.48_2.0-1mdk
- built for apache 2.0.48

* Wed Oct 01 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.47_2.0-1mdk
- initial cooker contrib
- removed copyrighted ttf from the tarball
